2020-11-25 06:58 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002668WHDLoad[All Projects] Generalpublic2020-10-27 11:19
ReporterStellan 
Assigned ToWeplProject InfoHD-Installer for OS-Killer
http://whdload.de/
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version17.2beta 
Target Version17.2Fixed in Version17.2 
Summary0002668: MuFore hits when launching games (WHDLoad 17.2)
DescriptionI get some (about 11) MuForce hits when WHDLoad is launching. I tried the games Atomix and TetrisPro (only PreLoad tooltype). The latest WHDLoad 17.1 [build 5206] I used don`t throw hits.

This is the first hit:

18-Feb-13 13:16:30
LONG READ from 00000000 PC: 019A471A
USP : 019B5638 SR: 0010 (U0)(-)(-) TCB: 019AD5D8
Data: 001BA110 00020003 000005F0 00000000 00000000 02FDB2E0 000005F8 00000000
Addr: 00045EF0 00000000 00000000 019A4472 01998010 01989EFF 01080CB0 010826EC
Stck: 019A4668 019B5688 00000004 00000100 00000014 00000000 01989EFF 019AD5A4
Stck: 010A7A4C 019A2CE4 019B5688 00000004 00000100 00000014 00000000 01989E20
Stck: 0193F510 019A4472 00000000 010A7A4C 019A14AC 006627B7 019AD574 00000000
Stck: 00000014 00000000 01989E20 019AD634 00000000 01080CB0 019A05C0 00FEC326
Stck: 00008000 5748444C 6F616400 00000000 00000000 01625C18 BA042742 F8B8BE7B
Stck: BFBD672F BFC43810 05600C14 2827E5EF F82FA7C0 020C2BBD D3D04214 2F8797E0
----> 019A471A - "System:C/WHDLoad" Hunk 0001 Offset 000041BA
----> 019A4668 - "System:C/WHDLoad" Hunk 0001 Offset 00004108
----> 019A2CE4 - "System:C/WHDLoad" Hunk 0001 Offset 00002784
----> 019A4472 - "System:C/WHDLoad" Hunk 0001 Offset 00003F12
----> 019A14AC - "System:C/WHDLoad" Hunk 0001 Offset 00000F4C
----> 019A05C0 - "System:C/WHDLoad" Hunk 0001 Offset 00000060
----> 00FEC326 - "ROM - dos 40.3 (1.4.93)" Hunk 0000 Offset 000005B2
----> 01625C18 - "System:C/NewIcons" Hunk 0000 Offset 000001B8
PC-8: 48E0DE42 51CAFFEE 04820001 000064E4 20074CDF 44FC4E75 20064EAE FF2E224A
PC *: 24522009 66F24E75 2009670E 2F0E2021 22612C54 4EAEFF2E 2C5F4E75 48E71802
019a46fa : 48e0 de42 movem.l d0-d1/d3-d6/a1/a6,-(a0)
019a46fe : 51ca ffee dbra d2,$19a46ee
019a4702 : 0482 0001 0000 subi.l #$10000,d2
019a4708 : 64e4 bcc.s $19a46ee
019a470a : 2007 move.l d7,d0
019a470c : 4cdf 44fc movem.l (a7)+,d2-d7/a2/a6
019a4710 : 4e75 rts
019a4712 : 2006 move.l d6,d0
019a4714 : 4eae ff2e jsr -$d2(a6)
019a4718 : 224a movea.l a2,a1
019a471a : *2452 movea.l (a2),a2
019a471c : 2009 move.l a1,d0
019a471e : 66f2 bne.s $19a4712
019a4720 : 4e75 rts
019a4722 : 2009 move.l a1,d0
019a4724 : 670e beq.s $19a4734
019a4726 : 2f0e move.l a6,-(a7)
019a4728 : 2021 move.l -(a1),d0
019a472a : 2261 movea.l -(a1),a1
019a472c : 2c54 movea.l (a4),a6
019a472e : 4eae ff2e jsr -$d2(a6)
019a4732 : 2c5f movea.l (a7)+,a6
019a4734 : 4e75 rts
019a4736 : 48e7 1802 movem.l d3-d4/a6,-(a7)
Name: "WHDLoad" Hunk 0001 Offset 000041BA
Steps To ReproduceStart a game using WHDLoad 17.2 [build 5271]
Additional InformationWHDLoad 17.2 [build 5271]
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad17.1
Attached Files

-Relationships
+Relationships

-Notes

note ~0002912

Wepl (manager)

thanks for the report, I will fix that

note ~0002914

Wepl (manager)

a new beta is on the webpage which fixes these faults, were introduced with the memf_reverse changes
+Notes

-Issue History
Date Modified Username Field Change
2013-02-18 14:23 Stellan New Issue
2013-02-18 21:18 Wepl Project WHDLoad Installs Games => WHDLoad
2013-02-18 21:38 Wepl Assigned To => Wepl
2013-02-18 21:38 Wepl Status new => assigned
2013-02-18 21:38 Wepl Product Version => 17.2
2013-02-18 21:38 Wepl Target Version => 17.2
2013-02-18 21:38 Wepl Description Updated View Revisions
2013-02-19 18:46 Wepl Note Added: 0002912
2013-02-24 14:36 Wepl Product Version 17.2 => 17.2beta
2013-02-24 14:52 Wepl Note Added: 0002914
2013-02-24 14:52 Wepl Status assigned => resolved
2013-02-24 14:52 Wepl Resolution open => fixed
2014-10-31 23:04 Wepl Status resolved => closed
2020-10-27 11:19 Wepl Fixed in Version => 17.2
2020-10-27 11:19 Wepl Description Updated View Revisions
+Issue History